<template>
  <div class="container">
    <div class="row mt-2">
      <div class="col-md-3">
        <Aside/>
      </div>
      <div class="col-md-9">
        <div class="card">
          <div class="card-header">
            <p class="card-text">Menú de navegación</p>
          </div>
          <div class="card-body">
            <div class="row">
              <div class="col-md-3 mt-3" v-for="item in items" :key="item.id" align="center">
                <figure class="figure" align="center">
                  <router-link :to="item.name">
                    <img 
                      :src="item.icon" 
                      class="figure-img img-fluid rounded" 
                      :alt="item.description" width="110"
                    >
                  </router-link>
                  <figcaption class="figure-caption text-center">{{item.description}}.</figcaption>
                </figure>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import Aside from './helpers/aside.vue'
  export default {
    components: {
      Aside
    },
    data() {
      return {
        items: [
          {
            id: 1,
            name: 'photographs',
            title: '',
            icon: '/icons/camera.png',
            description: 'Fotografías'
          },
          {
            id: 2,
            name: 'photostudio',
            title: '',
            icon: '/icons/tripod.png',
            description: 'Grabaciones y photo studio'
          },
          {
            id: 3,
            name: 'team',
            title: '',
            icon: '/icons/photographer.png',
            description: 'Equipo de trabajo'
          },
          {
            id: 4,
            name: 'gallery',
            title: '',
            icon: '/icons/gallery.png',
            description: 'Trabajos realizados'
          }
        ]
      }
    },
    
  }
</script>
         